<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Find out what the most awesome electric orange kettle is" />
<meta property="og:description" content="It&rsquo;s easy to forget just why electric kettles, and particularly electric orange kettles are so damn awesome.
(Wrong colour? No worries. You can read about finding a pink kettle and a yellow kettle on this site too - Hugh)
This wonderful energy savings appliance can boil water to the perfect tea temperature in 2 to 5 minutes. This will even turn itself off automatically when the liquid inside has reached the desired temperature." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/203" />


<meta property="og:updated_time" content="2011-01-18T14:30:24&#43;00:00"/>











<meta itemprop="name" content="Find out what the most awesome electric orange kettle is">
<meta itemprop="description" content="It&rsquo;s easy to forget just why electric kettles, and particularly electric orange kettles are so damn awesome.
(Wrong colour? No worries. You can read about finding a pink kettle and a yellow kettle on this site too - Hugh)
This wonderful energy savings appliance can boil water to the perfect tea temperature in 2 to 5 minutes. This will even turn itself off automatically when the liquid inside has reached the desired temperature.">


<meta itemprop="dateModified" content="2011-01-18T14:30:24&#43;00:00" />
<meta itemprop="wordCount" content="447">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="Find out what the most awesome electric orange kettle is"/>
<meta name="twitter:description" content="It&rsquo;s easy to forget just why electric kettles, and particularly electric orange kettles are so damn awesome.
(Wrong colour? No worries. You can read about finding a pink kettle and a yellow kettle on this site too - Hugh)
This wonderful energy savings appliance can boil water to the perfect tea temperature in 2 to 5 minutes. This will even turn itself off automatically when the liquid inside has reached the desired temperature."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="203.html">

    <title>Find out what the most awesome electric orange kettle is | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="203.html">Find out what the most awesome electric orange kettle is</a></h2>
    <p class="blog-post-meta"><time datetime="2011-01-18T14:30:24Z">Tue Jan 18, 2011</time> by wpengine</p>
  </header>
  <p>It&rsquo;s easy to forget just why electric kettles, and particularly electric orange kettles are so damn awesome.</p>

<p>(<em>Wrong colour? No worries. You can read about finding a <a href="http://www.kamikazecookery.com/blogs/203/www.kamikazecookery.com/blogs/169">pink kettle</a> and a <a href="http://www.kamikazecookery.com/blogs/203/www.kamikazecookery.com/blogs/177">yellow kettle</a> on this site too - Hugh</em>)</p>

<p>This wonderful energy savings appliance can boil water to the perfect tea temperature in 2 to 5 minutes.  This will even turn itself off automatically when the liquid inside has reached the desired temperature.</p>

<p>Boiling water twice as fast as a pot placed on a stove, an electric kettle saves money. According to The Energy Savings Blog at www.energy.gs, the electric kettle they tested produced a full kettle of hot water for about two pence or .16 kWh while a cup of water only cost .04 pence and uses .03 kWh.  Heating only what is needed saves money. These costs vary depending on the cost of electricity.</p>

<p>(They&rsquo;re quieter than stovetop kettles too - although we have yet to find a truly <a href="http://www.kamikazecookery.com/blogs/171.%29%3Cp%3EWhy">silent kettle</a> orange? Well, the unique color reminiscent of the 1970s promotes continual good health and abundant energy, symbolizes the warmth of a glowing fire in the hearth and brings about positive change in the life of its owner. Orange might not be the ideal choice for a cool, modern kitchen, but if you want a quick dose of vibrancy and colour in your day, Colour Theory suggests that orange will make you think of youth, energy and life. Go go orange electric kettle - bring some life to your kitchen.</p>

<p>If you&rsquo;re really looking for an exclusive kettle, the Bugatti Vera orange kettle is for you. At a frankly heartstopping price of Â£184 ($270 approx), this one&rsquo;s definitely a kettle for someone with money to splash - but on the other hand, many reviews are ecstatic about the darn thing. It&rsquo;s apparently a design sensation - although other commenters suggest it&rsquo;s a design sensation that stops working rather quickly! You pays your money and you takes your choice, but personally I&rsquo;d go for…</p>

<p>The Bodum range of orange kettles - pretty much the entire Bodum kettle range is available in orange - would be my choice if I decide to head up the colour spectrum. None of them are the design miracle that the Bugatti is, but from reports they work far better, and are pretty likely to still heat water as well as looking pretty in three years. The IBIS range comes in for particular praise, mostly collecting five-star reviews on Amazon. None of the other orange options from other manufacturers attract anything like the same sort of enthusiasm.</p>

<p>So. Want warm colours and hot water, together at last? Grab a Bodum orange kettle.</p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f203" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f203" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f203" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f203" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="203.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
